local config = {
	options = {
		icons_enabled = true,
		theme = "auto",
		globalstatus = false,
		disabled_filetypes = {
			statusline = {},
			winbar = {},
		},
		ignore_focus = {},
		component_separators = { left = "|", right = "|" },
		section_separators = { left = "", right = "" },
		refresh = {
			statusline = 1000,
			tabline = 1000,
			winbar = 1000,
		},
	},
	sections = {
		lualine_a = { "mode" },
		lualine_b = { "" },
		lualine_x = { "diagnostics", "filetype" },
		lualine_y = { "progress" },
		lualine_z = { "location" },
		lualine_c = {},
	},
	inactive_sections = {
		lualine_a = {},
		lualine_b = {},
		lualine_c = { "filename" },
		lualine_x = { "location" },
		lualine_y = {},
		lualine_z = {},
	},
	tabline = {},
	winbar = {},
	inactive_winbar = {},
	extensions = {},
}

return {
	"nvim-lualine/lualine.nvim",
	lazy = false,
	opts = config,
	dependencies = {
		"nvim-tree/nvim-web-devicons",
	},
}
